--- old/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.766509745 +0100
+++ new/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.774917011 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/object-file@$(PKGVERS)
@@ -31,26 +32,26 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/bin
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/elfedit
-dir path=usr/lib/elfedit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/elfedit/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/ccs
 dir path=usr/share/man/man1
-file path=usr/bin/$(ARCH64)/ar mode=0555
-file path=usr/bin/$(ARCH64)/dump mode=0555
-file path=usr/bin/$(ARCH64)/elfdump mode=0555
-file path=usr/bin/$(ARCH64)/elfedit mode=0555
-file path=usr/bin/$(ARCH64)/mcs mode=0555
-file path=usr/bin/$(ARCH64)/nm mode=0555
-file path=usr/bin/$(ARCH64)/size mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ar mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/dump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfdump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfedit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/mcs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/nm mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/size mode=0555
 file path=usr/bin/ar mode=0555
 file path=usr/bin/dis mode=0555
 file path=usr/bin/dump mode=0555
@@ -71,16 +72,16 @@
 file path=usr/bin/tsort mode=0555
 file path=usr/bin/unifdef mode=0555
 file path=usr/bin/yacc mode=0555
-file path=usr/lib/$(ARCH64)/llib-ll.ln
-file path=usr/lib/$(ARCH64)/llib-ly.ln
-file path=usr/lib/elfedit/$(ARCH64)/cap.so
-file path=usr/lib/elfedit/$(ARCH64)/dyn.so
-file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
-file path=usr/lib/elfedit/$(ARCH64)/phdr.so
-file path=usr/lib/elfedit/$(ARCH64)/shdr.so
-file path=usr/lib/elfedit/$(ARCH64)/str.so
-file path=usr/lib/elfedit/$(ARCH64)/sym.so
-file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ll.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ly.ln
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/cap.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/dyn.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/phdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/shdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/str.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/sym.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
 file path=usr/lib/elfedit/cap.so
 file path=usr/lib/elfedit/dyn.so
 file path=usr/lib/elfedit/ehdr.so
@@ -119,7 +120,7 @@
 file path=usr/share/man/man1/tsort.1
 file path=usr/share/man/man1/unifdef.1
 file path=usr/share/man/man1/yacc.1
-hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
 hardlink path=usr/bin/strip target=../bin/mcs
 legacy pkg=SUNWbtool \
     desc="software development utilities, including ar, dis, dump, elfdump, elfedit, lex, lorder, mcs, nm, prof, ranlib, rpcgen, size, strip, tsort, and yacc" \
@@ -128,13 +129,18 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/backup/dump/THIRDPARTYLICENSE \
     license=usr/src/cmd/backup/dump/THIRDPARTYLICENSE
-link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
-link path=usr/ccs/bin/$(ARCH64)/dump target=../../../bin/$(ARCH64)/dump
-link path=usr/ccs/bin/$(ARCH64)/elfdump target=../../../bin/$(ARCH64)/elfdump
-link path=usr/ccs/bin/$(ARCH64)/mcs target=../../../bin/$(ARCH64)/mcs
-link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
-link path=usr/ccs/bin/$(ARCH64)/size target=../../../bin/$(ARCH64)/size
-link path=usr/ccs/bin/$(ARCH64)/strip target=../../../bin/$(ARCH64)/strip
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/dump \
+    target=../../../bin/$(ARCH64)/dump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/elfdump \
+    target=../../../bin/$(ARCH64)/elfdump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/mcs \
+    target=../../../bin/$(ARCH64)/mcs
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/size \
+    target=../../../bin/$(ARCH64)/size
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/strip \
+    target=../../../bin/$(ARCH64)/strip
 link path=usr/ccs/bin/ar target=../../bin/ar
 link path=usr/ccs/bin/dis target=../../bin/dis
 link path=usr/ccs/bin/dump target=../../bin/dump
@@ -158,6 +164,6 @@
 link path=usr/ccs/lib/llib-ll.ln target=../../lib/llib-ll.ln
 link path=usr/ccs/lib/llib-ly.ln target=../../lib/llib-ly.ln
 link path=usr/lib/elfedit/32 target=.
-link path=usr/lib/elfedit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/elfedit/64 target=$(ARCH64)
 depend fmri=developer/macro/cpp type=require
 depend fmri=runtime/perl-510 type=require
--- old/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	2014-04-11 13:24:07.960589430 +0100
+++ new/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	2014-04-11 13:24:07.969518676 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/cpu-counters@$(PKGVERS)
@@ -33,21 +34,21 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/kernel group=sys
 dir path=usr/kernel/pcbe group=sys
 dir path=usr/kernel/pcbe/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3cpc
 dir path=usr/share/man/man3lib
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/cputrack mode=0555
-file path=usr/bin/$(ARCH64)/cputrack mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/cputrack mode=0555
 file path=usr/include/libcpc.h
 file path=usr/include/libpctx.h
 $(sparc_ONLY)file path=usr/kernel/pcbe/$(ARCH64)/pcbe.4.6 group=sys mode=0755
@@ -65,10 +66,10 @@
 $(i386_ONLY)file path=usr/kernel/pcbe/pcbe.GenuineIntel.6 group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/pcbe/pcbe.GenuineIntel.6.15 group=sys \
     mode=0755
-file path=usr/lib/$(ARCH64)/libcpc.so.1
-file path=usr/lib/$(ARCH64)/libpctx.so.1
-file path=usr/lib/$(ARCH64)/llib-lcpc.ln
-file path=usr/lib/$(ARCH64)/llib-lpctx.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcpc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpctx.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcpc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpctx.ln
 file path=usr/lib/libcpc.so.1
 file path=usr/lib/libpctx.so.1
 file path=usr/lib/llib-lcpc
@@ -157,8 +158,8 @@
     target=pcbe.GenuineIntel.6.15
 $(i386_ONLY)link path=usr/kernel/pcbe/pcbe.GenuineIntel.6.47 \
     target=pcbe.GenuineIntel.6.15
-link path=usr/lib/$(ARCH64)/libcpc.so target=./libcpc.so.1
-link path=usr/lib/$(ARCH64)/libpctx.so target=./libpctx.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcpc.so target=./libcpc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpctx.so target=./libpctx.so.1
 link path=usr/lib/libcpc.so target=./libcpc.so.1
 link path=usr/lib/libpctx.so target=./libpctx.so.1
 link path=usr/share/man/man3cpc/cpc_bind_cpu.3cpc target=cpc_bind_curlwp.3cpc
--- old/usr/src/pkg/manifests/diagnostic-latencytop.mf	2014-04-11 13:24:08.163545392 +0100
+++ new/usr/src/pkg/manifests/diagnostic-latencytop.mf	2014-04-11 13:24:08.171061896 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/latencytop@$(PKGVERS)
@@ -32,10 +33,10 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/share/man/man1m
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/latencytop mode=0555
-file path=usr/bin/$(ARCH64)/latencytop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/latencytop mode=0555
 file path=usr/share/man/man1m/latencytop.1m
 hardlink path=usr/bin/latencytop target=../../usr/lib/isaexec
 legacy pkg=SUNWlatencytop desc="LatencyTOP tool" name="LatencyTOP tool"
--- old/usr/src/pkg/manifests/diagnostic-powertop.mf	2014-04-11 13:24:08.358839740 +0100
+++ new/usr/src/pkg/manifests/diagnostic-powertop.mf	2014-04-11 13:24:08.365729838 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/powertop@$(PKGVERS)
@@ -32,10 +33,10 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/share/man/man1m
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/powertop mode=0555
-file path=usr/bin/$(ARCH64)/powertop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/powertop mode=0555
 file path=usr/share/man/man1m/powertop.1m
 hardlink path=usr/bin/powertop target=../../usr/lib/isaexec
 legacy pkg=SUNWpowertop desc="PowerTOP tool" name="PowerTOP tool"
--- old/usr/src/pkg/manifests/install-beadm.mf	2014-04-11 13:24:08.553140945 +0100
+++ new/usr/src/pkg/manifests/install-beadm.mf	2014-04-11 13:24:08.560302203 +0100
@@ -22,6 +22,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/install/beadm@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/64
@@ -44,8 +45,8 @@
 dir path=usr/share/man/man1m
 file path=sbin/beadm mode=0555
 file path=usr/include/libbe.h
-file path=usr/lib/$(ARCH64)/libbe.so.1
-file path=usr/lib/$(ARCH64)/llib-lbe.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbe.ln
 file path=usr/lib/libbe.so.1
 file path=usr/lib/llib-lbe
 file path=usr/lib/llib-lbe.ln
@@ -54,6 +55,6 @@
 file path=usr/share/man/man1m/beadm.1m
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libbe.so target=./libbe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbe.so target=./libbe.so.1
 link path=usr/lib/libbe.so target=./libbe.so.1
 link path=usr/sbin/beadm target=../../sbin/beadm
--- old/usr/src/pkg/manifests/library-libadt_jni.mf	2014-04-11 13:24:08.774701099 +0100
+++ new/usr/src/pkg/manifests/library-libadt_jni.mf	2014-04-11 13:24:08.781766743 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/library/libadt_jni@$(PKGVERS)
@@ -32,10 +33,10 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/audit
-file path=usr/lib/$(ARCH64)/libadt_jni.so.1
-file path=usr/lib/$(ARCH64)/llib-ladt_jni.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libadt_jni.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ladt_jni.ln
 file path=usr/lib/audit/Audit.jar
 file path=usr/lib/libadt_jni.so.1
 file path=usr/lib/llib-ladt_jni.ln
@@ -44,5 +45,5 @@
     name="AuditService Implementation"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libadt_jni.so target=./libadt_jni.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadt_jni.so target=./libadt_jni.so.1
 link path=usr/lib/libadt_jni.so target=./libadt_jni.so.1
--- old/usr/src/pkg/manifests/library-libtecla.mf	2014-04-11 13:24:08.961241031 +0100
+++ new/usr/src/pkg/manifests/library-libtecla.mf	2014-04-11 13:24:08.969517737 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -35,7 +36,7 @@
 dir path=usr/bin
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man3lib
@@ -44,8 +45,8 @@
 dir path=usr/share/man/man5
 file path=usr/bin/enhance mode=0555
 file path=usr/include/libtecla.h
-file path=usr/lib/$(ARCH64)/libtecla.so.1
-file path=usr/lib/$(ARCH64)/llib-ltecla.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtecla.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ltecla.ln
 file path=usr/lib/libtecla.so.1
 file path=usr/lib/llib-ltecla
 file path=usr/lib/llib-ltecla.ln
@@ -69,7 +70,7 @@
     name="Tecla command-line editing library"
 license usr/src/lib/libtecla/THIRDPARTYLICENSE \
     license=usr/src/lib/libtecla/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libtecla.so target=libtecla.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtecla.so target=libtecla.so.1
 link path=usr/lib/libtecla.so target=libtecla.so.1
 link path=usr/share/man/man3sysevent/sysevent_get_pid.3sysevent \
     target=sysevent_get_vendor_name.3sysevent
--- old/usr/src/pkg/manifests/network-ipd.mf	2014-04-11 13:24:09.162001003 +0100
+++ new/usr/src/pkg/manifests/network-ipd.mf	2014-04-11 13:24:09.169362223 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright (c) 2013  by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/ipd@$(PKGVERS)
@@ -24,7 +25,7 @@
 dir path=kernel/drv/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 driver name=ipd perms="* 0600 root sys"
@@ -33,8 +34,8 @@
 file path=kernel/drv/ipd.conf group=sys
 file path=usr/include/libipd.h
 file path=usr/include/sys/ipd.h
-file path=usr/lib/$(ARCH64)/libipd.so.1
-file path=usr/lib/$(ARCH64)/llib-lipd.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipd.ln
 file path=usr/lib/libipd.so.1
 file path=usr/lib/llib-lipd
 file path=usr/lib/llib-lipd.ln
@@ -42,5 +43,5 @@
 file path=usr/share/man/man1m/ipdadm.1m
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libipd.so target=libipd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipd.so target=libipd.so.1
 link path=usr/lib/libipd.so target=libipd.so.1
--- old/usr/src/pkg/manifests/network-ipfilter.mf	2014-04-11 13:24:09.355938100 +0100
+++ new/usr/src/pkg/manifests/network-ipfilter.mf	2014-04-11 13:24:09.362803358 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/ipfilter@$(PKGVERS)
@@ -43,10 +44,10 @@
 dir path=usr/lib
 dir path=usr/lib/ipf
 $(i386_ONLY)dir path=usr/lib/ipf/$(ARCH32) group=sys
-dir path=usr/lib/ipf/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/ipf/$(ARCH64) group=sys
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/ipfilter
 dir path=usr/share/ipfilter/examples
@@ -67,7 +68,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/ipf group=sys
 file path=usr/kernel/drv/ipf.conf group=sys
 $(i386_ONLY)file path=usr/lib/ipf/$(ARCH32)/ipftest mode=0555
-file path=usr/lib/ipf/$(ARCH64)/ipftest mode=0555
+$(BUILD64)file path=usr/lib/ipf/$(ARCH64)/ipftest mode=0555
 file path=usr/lib/ipf/IPFILTER.LICENCE
 file path=usr/lib/servinfo mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipf mode=0555
@@ -76,12 +77,12 @@
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipmon mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipnat mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ippool mode=0555
-file path=usr/sbin/$(ARCH64)/ipf mode=0555
-file path=usr/sbin/$(ARCH64)/ipfs mode=0555
-file path=usr/sbin/$(ARCH64)/ipfstat mode=0555
-file path=usr/sbin/$(ARCH64)/ipmon mode=0555
-file path=usr/sbin/$(ARCH64)/ipnat mode=0555
-file path=usr/sbin/$(ARCH64)/ippool mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipf mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipfs mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipfstat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipmon mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipnat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ippool mode=0555
 file path=usr/share/ipfilter/examples/BASIC.NAT
 file path=usr/share/ipfilter/examples/BASIC_1.FW
 file path=usr/share/ipfilter/examples/BASIC_2.FW
--- old/usr/src/pkg/manifests/network-iscsi-iser.mf	2014-04-11 13:24:09.552865948 +0100
+++ new/usr/src/pkg/manifests/network-iscsi-iser.mf	2014-04-11 13:24:09.560044203 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -46,7 +47,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/share/man
 dir path=usr/share/man/man7d
 driver name=iser perms="* 0600 root sys"
@@ -57,7 +58,7 @@
 $(i386_ONLY)file path=kernel/kmdb/idm group=sys mode=0555
 file path=kernel/misc/$(ARCH64)/idm group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/idm group=sys mode=0755
-file path=usr/lib/mdb/kvm/$(ARCH64)/idm.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/idm.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/idm.so group=sys mode=0555
 file path=usr/share/man/man7d/iser.7d
 legacy pkg=SUNWiscsidmr desc="Sun iSCSI Data Mover (Root)" \
--- old/usr/src/pkg/manifests/network-iscsi-target.mf	2014-04-11 13:24:09.749260810 +0100
+++ new/usr/src/pkg/manifests/network-iscsi-target.mf	2014-04-11 13:24:09.756972369 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/iscsi/target@$(PKGVERS)
@@ -45,7 +46,7 @@
 dir path=usr/include/sys
 dir path=usr/include/sys/iscsit
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3iscsit
@@ -60,8 +61,8 @@
     variant.opensolaris.zone=global
 file path=usr/include/libiscsit.h
 file path=usr/include/sys/iscsit/iscsit_common.h
-file path=usr/lib/$(ARCH64)/libiscsit.so.1
-file path=usr/lib/$(ARCH64)/llib-liscsit.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libiscsit.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-liscsit.ln
 file path=usr/lib/libiscsit.so.1
 file path=usr/lib/llib-liscsit
 file path=usr/lib/llib-liscsit.ln
@@ -79,7 +80,7 @@
     name="Sun iSCSI COMSTAR Port Provider"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libiscsit.so target=libiscsit.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libiscsit.so target=libiscsit.so.1
 link path=usr/lib/libiscsit.so target=libiscsit.so.1
 link path=usr/share/man/man3iscsit/it_config_commit.3iscsit \
     target=it_config_load.3iscsit
--- old/usr/src/pkg/manifests/package-svr4.mf	2014-04-11 13:24:09.945987304 +0100
+++ new/usr/src/pkg/manifests/package-svr4.mf	2014-04-11 13:24:09.952945553 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/package/svr4@$(PKGVERS)
@@ -37,7 +38,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sadm
 dir path=usr/sadm/install
 dir path=usr/sadm/install/bin
@@ -64,7 +65,7 @@
 file path=usr/bin/pkgparam group=sys mode=0555
 file path=usr/bin/pkgproto mode=0555
 file path=usr/bin/pkgtrans mode=0555
-file path=usr/lib/$(ARCH64)/libinstzones.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libinstzones.so.1
 file path=usr/lib/libinstzones.so.1
 file path=usr/lib/libpkg.so.1
 file path=usr/sadm/install/bin/pkginstall group=sys mode=0555
